Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream.testing
Class SplitStreamDistTest

    java.lang.Object
      rice.p2p.splitstream.testing.SplitStreamDistTest

public class SplitStreamDistTest
extends java.lang.Object

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary
`static java.lang.String` | `BOOTNODE` DESCRIBE THE FIELD
`static int` | `DEFAULT_PORT` DESCRIBE THE FIELD
`static int` | `IM_ALIVE_PERIOD` DESCRIBE THE FIELD
`static java.lang.String` | `INSTANCE` DESCRIBE THE FIELD
`static boolean` | `nameSelf` DESCRIBE THE FIELD
`static int` | `WAIT_TO_JOIN_DELAY` DESCRIBE THE FIELD
`static int` | `WAIT_TO_SUBSCRIBE_DELAY` DESCRIBE THE FIELD

Constructor Summary
`SplitStreamDistTest()`

Method Summary
`static void` | `main(java.lang.String[] args)` Usage java rice.p2p.splitstream.testing.SplitStreamDistTest

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### WAIT_TO_JOIN_DELAY

    public static final int WAIT_TO_JOIN_DELAY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### WAIT_TO_SUBSCRIBE_DELAY

    public static final int WAIT_TO_SUBSCRIBE_DELAY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### IM_ALIVE_PERIOD

    public static final int IM_ALIVE_PERIOD

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### INSTANCE

    public static java.lang.String INSTANCE

  DESCRIBE THE FIELD

### BOOTNODE

    public static final java.lang.String BOOTNODE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### nameSelf

    public static final boolean nameSelf

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### SplitStreamDistTest

    public SplitStreamDistTest()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage java rice.p2p.splitstream.testing.SplitStreamDistTest

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.